/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _C8CODEW_PATH_CTRL_REG_INIT_H
#define _C8CODEW_PATH_CTRL_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : c8codew_path_ctrl_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* STOPCLK */
#define RC8CODEW_C8CODEW_PATH_CTRL_STOPCLK                           0x00000000
#define RC8CODEW_C8CODEW_PATH_CTRL_STOPCLK__DEFAULT                  0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_STOPCLK_STOP_CKDEMOD__MASK        0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_STOPCLK_STOP_CKDVBS1FEC__MASK     0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_STOPCLK_STOP_CKDVBS2FEC__MASK     0x04      

/* FRES */
#define RC8CODEW_C8CODEW_PATH_CTRL_FRES                              0x00000001
#define RC8CODEW_C8CODEW_PATH_CTRL_FRES__DEFAULT                     0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_FRES_FRESSYM__MASK                0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_FRES_FRESVIT__MASK                0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_FRES_FRESSFEC__MASK               0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_FRES_FRESPKTD__MASK               0x08      

/* IRQMSK1 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1                           0x00000010
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1__DEFAULT                  0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1_MFEC_LOCKB__MASK          0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1_MSTREAM_LOCK__MASK        0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1_MIRQ_SPY_ENDSIM__MASK     0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK1_MSTROUT__MASK             0x08      

/* IRQMSK0 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0                           0x00000011
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0__DEFAULT                  0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MDEMOD_IRQ__MASK          0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MDEMOD_LOCK__MASK         0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MDEMOD_LOCKB__MASK        0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MDVBS1_PRF__MASK          0x08      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MPKTDEL_LOCK__MASK        0x10      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MPKTDEL_LOCKB__MASK       0x20      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MPKTDEL_ERROR__MASK       0x40      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQMSK0_MFEC_LOCK__MASK           0x80      

/* IRQSTATUS1 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1                        0x00000012
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1__DEFAULT               0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1_SFEC_LOCKB__MASK       0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1_SSTREAM_LOCK__MASK     0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1_SIRQ_SPY_ENDSIM__MASK  0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS1_SSTROUT__MASK          0x08      

/* IRQSTATUS0 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0                        0x00000013
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0__DEFAULT               0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SDEMOD_IRQ__MASK       0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SDEMOD_LOCK__MASK      0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SDEMOD_LOCKB__MASK     0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SDVBS1_PRF__MASK       0x08      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SPKTDEL_LOCK__MASK     0x10      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SPKTDEL_LOCKB__MASK    0x20      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SPKTDEL_ERROR__MASK    0x40      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQSTATUS0_SFEC_LOCK__MASK        0x80      

/* IRQFORCE1 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1                         0x00000014
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1__DEFAULT                0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1_FFEC_LOCKB__MASK        0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1_FSTREAM_LOCK__MASK      0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1_FIRQ_SPY_ENDSIM__MASK   0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE1_FSTROUT__MASK           0x08      

/* IRQFORCE0 */
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0                         0x00000015
#define RC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0__DEFAULT                0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FDEMOD_IRQ__MASK        0x01      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FDEMOD_LOCK__MASK       0x02      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FDEMOD_LOCKB__MASK      0x04      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FDVBS1_PRF__MASK        0x08      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FPKTDEL_LOCK__MASK      0x10      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FPKTDEL_LOCKB__MASK     0x20      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FPKTDEL_ERROR__MASK     0x40      
#define FC8CODEW_C8CODEW_PATH_CTRL_IRQFORCE0_FFEC_LOCK__MASK         0x80      

/* STRSTATUS0 */
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS0                        0x00000020
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS0__DEFAULT               0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS0_STREAMSTATUS0_SEL__MASK 0x0F      

/* STRSTATUS1 */
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS1                        0x00000021
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS1__DEFAULT               0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS1_STREAMSTATUS1_SEL__MASK 0x0F      

/* STRSTATUS2 */
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS2                        0x00000022
#define RC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS2__DEFAULT               0x0       
#define FC8CODEW_C8CODEW_PATH_CTRL_STRSTATUS2_STREAMSTATUS2_SEL__MASK 0x0F      


/* Number of registers */
#define C8CODEW_C8CODEW_PATH_CTRL_REG_NBREGS                         11        

/* Number of fields */
#define C8CODEW_C8CODEW_PATH_CTRL_REG_NBFIELDS                       46        



#endif /* #ifndef _C8CODEW_PATH_CTRL_REG_INIT_H */
