/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
/* -------------------------------------------------------------------------
* THIS FILE IS AUTOMATICALLY GENERATED 
* Script used is : create_regInterface.pl 
* File name  : STID135_addr_map.h 
* File type  : H source file
* -------------------------------------------------------------------------
* Description:  Include for GUI FE SW
* Description:  This file is a design file copy updated with IP base address.
* -------------------------------------------------------------------------
The source config is : ./OXFORD/config.src 
*/
/*******************/
/*  ADDR  MAPPING  */
/*******************/
#ifndef _STID135_ADDR_MAP_H_ 
#define _STID135_ADDR_MAP_H_ 


#include "stid135_custom.h" /* In this file is defined IP base address */ 

#define SYSCONFIGN_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8000) 
#define P1_5BANKPIONORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8400)	//	P1_ 
#define P2_5BANKPIONORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8480)	//	P2_ 
#define P3_5BANKPIONORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8500)	//	P3_ 
#define P4_5BANKPIONORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8580)	//	P4_ 
#define P5_5BANKPIONORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8600)	//	P5_ 
#define PIONORTHMUX_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8800) 
//#define CLOCKGENNORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x8C00)
#define CLOCKGENNORTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xAC00) 
#define AFE_CTRL_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x9000) 
#define THSENSOR_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x9200) 
#define PWM_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x9800) 
#define IRQMERGER_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0x9C00) 
#define SYSCONFIGS_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA000) 
#define P6_5BANKPIOSOUTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA400)	//	P6_ 
#define P7_5BANKPIOSOUTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA480)	//	P7_ 
#define P8_5BANKPIOSOUTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA500)	//	P8_ 
#define P9_5BANKPIOSOUTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA580)	//	P9_ 
#define P10_5BANKPIOSOUTH_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA600)	//	P10_ 
#define PIOSOUTHMUX_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xA800) 
#define STFECONFIG_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xC000) 
#define P1_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD000)	//	P1_ 
#define P2_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD040)	//	P2_ 
#define P3_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD080)	//	P3_ 
#define P4_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD0C0)	//	P4_ 
#define P5_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD100)	//	P5_ 
#define P6_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD140)	//	P6_ 
#define P7_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD180)	//	P7_ 
#define P8_C8SECTPFE_IB_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xD1C0)	//	P8_ 
#define P1_C8SECTPFE_TC_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xE000)	//	P1_ 
#define P2_C8SECTPFE_TC_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xE040)	//	P2_ 
#define C8SECTPFE_TSDMA_ADDR(unit)	(STID135_BASE_ADDR(unit) + 0xF000) 


#endif
